/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008-2009 Bull S.A.S.
 * Copyright (C) 2008-2009 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ServerVO.as 4988 2009-08-20 11:23:41Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.vo {

    import com.adobe.cairngorm.vo.IValueObject;
    import mx.collections.ArrayCollection;
    import mx.controls.*;

    [RemoteClass(alias = "org.ow2.jasmine.jadort.api.entities.topology.ServerBean")]
    [Bindable]
    public class ServerVO implements IValueObject {

        private var serverName : String;
        private var serverCapacity : Number;
        private var serverId : Number;
        private var serverActiveSessions : Number;
        private var serverProcessed : Boolean = false;
        private var serverTarget : ServerVO;
        private var serverVM : VmVO;

        [ArrayElementType(ApplicationVO)]
        private var serverApplications : ArrayCollection;

        public function ServerVO() {
            super();
        }

        public function get id() : Number {
            return serverId;
        }

        public function get name() : String {
            return serverName;
        }

        public function get capacity() : Number {
            return serverCapacity;
        }

        public function get processed() : Boolean {
            return serverProcessed;
        }

        public function get status() : String {
            if (serverProcessed) {
                return "Processed";
            } else {
                return "Not processed";
            }
        }

        public function get activeSessions() : Number {
            return serverActiveSessions;
        }

        public function get target() : ServerVO {
            return serverTarget;
        }

        public function get vm() : VmVO {
            return serverVM;
        }

        public function get applications() : ArrayCollection {
            return serverApplications;
        }

        public function set id(serverId : Number) : void {
            this.serverId = serverId;
        }

        public function set name(serverName : String) : void {
            this.serverName = serverName;
        }

        public function set capacity(serverCapacity : Number) : void {
            this.serverCapacity = serverCapacity;
        }

        public function set processed(serverProcessed : Boolean) : void {
            this.serverProcessed = serverProcessed;
        }

        public function set activeSessions(serverActiveSessions : Number) : void {
            this.serverActiveSessions = serverActiveSessions;
        }

        public function set target(serverTarget : ServerVO) : void {
            this.serverTarget = serverTarget;
        }

        public function set vm(serverVM : VmVO) : void {
            this.serverVM = serverVM;
        }

        public function set applications(serverApplications : ArrayCollection) : void {
            this.serverApplications = serverApplications;
        }
    }
}